#!/usr/local/bin/perl

use lib "E:/perl/site/lib";
use Tk;

my $mw = MainWindow->new;

$mw->title("lookup");

$entry1 = $mw->Entry(
   -textvariable => \$uservar, 
   -width => 15 
   )->pack( -side => "left" );

$entry2 = $mw->Entry(
   -textvariable => \$respvar, 
   -width => 40 
   )->pack( -side => "right" );


$lookupsel = $mw->Button(
   -text => "clipboard", 
   -command => sub { 
       $uservar = $mw->SelectionGet( -selection => "CLIPBOARD" );
       $respvar = lookup($uservar);
      } 
   )->pack(-side => "bottom", -anchor => "center");

$lookup = $mw->Button( 
   -text => "entered", 
   -command => sub { 
       if(!$uservar) {
         $uservar = $mw->SelectionGet( -selection => "CLIPBOARD" );
       }
       $respvar = lookup($uservar);
      }
    )->pack(-side => "bottom", -anchor => "center",-after => $lookupsel);


MainLoop;


print "Back to here\n";




sub lookup {

   if( $_[0] =~ /^(\d{1,3}\.){3}\d{1,3}$/ ) {
     return gethostbyaddr( pack( "C4", split /\./, $_[0] ), AF_INET );
   }

   return join( ".",unpack("C4",scalar gethostbyname($_[0])) );

}

